{% for post in paginator.posts %}
{% assign odd = forloop.index0 | modulo:2 %}
{% if odd == 0 %}
<div class="row" style="margin-bottom: 0">
	{% endif %}

	<div class="col s12 m6">
		<div class="card hoverable">
			<div class="card-image" style="line-height: 1">
				<a class="image-link waves-effect waves-light" href="{{ post.url | relative_url }}">
					{{ post.image | remove: "assets/images/" | asset: "magick:resize='600x300^' magick:gravity='center'
					magick:crop='600x300+0+0' alt='image-alt'" | replace: 'image-alt', post.image-alt }}
				</a>
				<a class="card-title" style="z-index: 5; color:white" href="{{ post.url | relative_url }}">
          <span class="flow-text title-background">
              {{ post.title | escape | improve }}
          </span>
				</a>
				<a id="{{post.url}}" class="btn-floating halfway-fab waves-effect waves-light red"
					 href="{{ post.url | relative_url }}" style="z-index: 6"><i class="material-icons">more_horiz</i></a>
			</div>
			<div class="card-content">
				<p>{{post.excerpt | remove: '
				<p>' | remove: '</p>'}}</p>
			</div>
		</div>
	</div>
	{% if odd == 1 or forloop.last %}
</div>
{% endif %}
{% endfor %}
<div class="row">
	<div class="col l8 offset-l2 s12">
		{% if paginator.total_pages > 1 %}
		<ul class="pagination">
			{% if paginator.previous_page %}
			<li class="waves-effect">
				<a href="{{ paginator.previous_page_path | prepend: site.baseurl | replace: '//', '/' }}#blog"><i class="material-icons">chevron_left</i></a>
				{% else %}
			<li class="disabled">
				<a><i class="material-icons">chevron_left</i></a>
				{% endif %}
			</li>

			{% for i in (1..paginator.total_pages) %}
				{% if paginator.page == i %}
					<li class="active">
					<a>{{ i }}</a>
				{% else %}
					<li class="waves-effect">
					{% if i == 1 %}
						<a href="/#blog">{{ i }}</a>
					{% else %}
						<a href="/page/{{ i }}#blog">{{ i }}</a>
					{% endif %}
				{% endif %}
			</li>
			{% endfor %}

			{% if paginator.next_page %}
			<li class="waves-effect">
				<a href="{{ paginator.next_page_path | prepend: site.baseurl | replace: '//', '/' }}#blog"><i class="material-icons">chevron_right</i></a>
				{% else %}
			<li class="disabled">
				<a><i class="material-icons">chevron_right</i></a>
				{% endif %}
			</li>
		</ul>
		{% endif %}
	</div>

	<div class="col l2 s12 center">
		<a class="btn btn-small waves-effect waves-light" href="{{ site.baseurl }}/archive/">Browse all</a>
	</div>
</div>
